Ubuntu

Lenovo 3000 N200 DVD-rom missing

Reported by gordon39 on 2008-03-04
56
This bug affects 2 people
Affects Status Importance Assigned to Milestone
grub2 (Ubuntu)
Undecided
Unassigned

Bug Description

After installing Ubuntu 7.10 on the laptop which had Vista already installed, there was no DVD/CD-rom in either Ubuntu or in Vista. Tried detecting new hardware in Vista but still could not find the DVD/CD-rom.
The DVD/CD-rom could run a live disc of Linux but there was no DVD/CD-rom hardware in the Ubuntu or Vista partitions.
Lenovo suggested going back to the factory defaults which has restored the DVD/CD-rom in Vista.
How do I maintain the DVD/CD-rom for Ubuntu?

Bloop (kennethalexander) wrote :

I have experienced the same behavior in all of the following linux distributions Ubuntu 7.10, Mandriva 8, Suse 10.3, SLED 10 and SUSE 11.x Beta versions. The machine is a Lenovo 3000 N200 0687-2DU { T2310(1.46GHz), 1GB RAM, 120GB 5400rpm HD, 14.1in 1280x800, Intel X3100, CDRW/DVDRW, 802.11bg wireless, Bluetooth, Modem, 10/100 Ethernet, Touchpad, Secure chip, Fingerprint reader, 6c Li-Ion, WinXP Pro} Which will dual boot into linux or Windows.
I have been fighting with this cd/dvd rom for a month now to no avail. It has now stopped working with windows also. I will try the BIOS reset as listed above to revive the drive from windows. This behavior was also exhibited on one other machine, an older HP laptop {Five year old Pentium 4, 2.4 ghz, with 512 mem and a cd/dvd burner} under SUSE 11.x beta. I suspect it has something to do with the way the live install cd access the drive during install.

Adi Pircalabu (apircalabu) wrote :

Same problem here with the DVD-RW drive, exactly the same behaviour as described above. Ubuntu 7.10, but reproduces also on Opensuse 10.3. I'm also left without DVD under Vista. Can anyone take a look at it?

Cecil (sniper-cecil) wrote :

Same problem described above. After installing Ubuntu 7.10 on the laptop which had XP sp2 already installed, there was no DVD/CD-rom in either Ubuntu or in XP, not find the DVD/CD-rom.

Matt Tretin (mtretin) wrote :

Same problem as described above, exactly. The cdrom *WILL* work with acpi=off given as a boot time parameter. But this is a very poor solution for a laptop system. This needs to be looked at.

gordon39 (gordon3913) wrote :

I have installed the boot loader "gag" and then reinstalled Ubuntu 7.10.
The DVD now still works under Windows Vista but again not under Ubuntu.
When I click on the CD-ROM1 icon it says that /dev/scd0 does not exist.
I have created this directory but on reboot it is not there.
I have tried to edit /boot/loader.conf with acpi_load="NO" but this also does not work.
At least I can read my dvd/cds with Windows.

Fungyo (sites07) wrote :

I can confirm this problem is still present with Kubuntu 8.04. After installing, no optical drive is detected. Model type is 0687-A31

Fungyo (sites07) wrote :

Anyone got this fixed yet?
After several hal updates, the drive is still not detected. Foresight 2.0 and Slackware 12.1 both detect the drive before and after install.

Adi Pircalabu (apircalabu) wrote :

Just a short FYI: OpenSUSE 11.0 doesn't detect my crappy DVDRW unit during installation. It loads the kernel (2.6.25-something) but can't mount the CD to access the compressed image.

ababichev (ababichev) wrote :
Download full text (8.8 KiB)

I have the same problem with just installed Ubuntu 8.04 on Lenovo laptop.

sudo dmidecode -s system-version
LENOVO3000 N200

$ uname -r
2.6.24-19-generic

CD/DVD device just simply gone:
$ sudo lshw -C disk
  *-disk
       description: ATA Disk
       product: ST9120822AS
       vendor: Seagate
       physical id: 0.0.0
       bus info: scsi@0:0.0.0
       logical name: /dev/sda
       version: 3.CL
       serial: 5LZ7L4F6
       size: 111GiB (120GB)
       capabilities: partitioned partitioned:dos
       configuration: ansiversion=5 signature=ed1f86f7

Here's output of command lspsi -vnn:
00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 03)
 Subsystem: Lenovo Unknown device [17aa:3c16]
 Flags: bus master, fast devsel, latency 0
 Capabilities: <access denied>

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 03) (prog-if 00 [VGA controller])
 Subsystem: Lenovo Unknown device [17aa:3c18]
 Flags: bus master, fast devsel, latency 0, IRQ 16
 Memory at f4000000 (64-bit, non-prefetchable) [size=1M]
 Memory at d0000000 (64-bit, prefetchable) [size=256M]
 I/O ports at 1800 [size=8]
 Capabilities: <access denied>

00:02.1 Display controller [0380]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a03] (rev 03)
 Subsystem: Lenovo Unknown device [17aa:3c18]
 Flags: bus master, fast devsel, latency 0
 Memory at f4100000 (64-bit, non-prefetchable) [size=1M]
 Capabilities: <access denied>

00:1a.0 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 [8086:2834] (rev 03) (prog-if 00 [UHCI])
 Subsystem: Lenovo Unknown device [17aa:3c23]
 Flags: bus master, medium devsel, latency 0, IRQ 16
 I/O ports at 1820 [size=32]

00:1a.1 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 [8086:2835] (rev 03) (prog-if 00 [UHCI])
 Subsystem: Lenovo Unknown device [17aa:3c24]
 Flags: bus master, medium devsel, latency 0, IRQ 19
 I/O ports at 1840 [size=32]

00:1a.7 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 [8086:283a] (rev 03) (prog-if 20 [EHCI])
 Subsystem: Lenovo Unknown device [17aa:3c25]
 Flags: bus master, medium devsel, latency 0, IRQ 18
 Memory at f4704800 (32-bit, non-prefetchable) [size=1K]
 Capabilities: <access denied>

00:1b.0 Audio device [0403]: Intel Corporation 82801H (ICH8 Family) HD Audio Controller [8086:284b] (rev 03)
 Subsystem: Lenovo Unknown device [17aa:3c19]
 Flags: bus master, fast devsel, latency 0, IRQ 22
 Memory at f4500000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>

00:1c.0 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 [8086:283f] (rev 03) (prog-if 00 [Normal decode])
 Flags: bus master, fast devsel, latency 0
 Bus: primary=00, secondary=02, subordinate=03, sec-latency=0
 I/O behind bridge: 00002000-00002fff
 Memory behind bridge: f2000000-f3ffffff
 Prefetchable memory behind bridge: 00000000f0000000-00000000f1ffffff
 Capabilities...

Read more...

Crazybus (crazybus24) wrote :

Just found a fix to get the dvd drive working under Ubuntu.
add the line 'acpi=off' to the kernal boot command list. It may or may not ask you to also add 'pnpbios=off' aswell

Running with ACPI off is not recommended. It can actually damage a laptop {overheating is one symptom}

-----Original Message-----
>From: Crazybus <email address hidden>
>Sent: Aug 25, 2008 8:59 AM
>To: <email address hidden>
>Subject: [Bug 198319] Re: Lenovo 3000 N200 DVD-rom missing
>
>Just found a fix to get the dvd drive working under Ubuntu.
>add the line 'acpi=off' to the kernal boot command list. It may or may not ask you to also add 'pnpbios=off' aswell
>
>--
>Lenovo 3000 N200 DVD-rom missing
>https://bugs.launchpad.net/bugs/198319
>You received this bug notification because you are a direct subscriber
>of the bug.
>
>Status in Ubuntu: Confirmed
>
>Bug description:
>After installing Ubuntu 7.10 on the laptop which had Vista already installed, there was no DVD/CD-rom in either Ubuntu or in Vista. Tried detecting new hardware in Vista but still could not find the DVD/CD-rom.
>The DVD/CD-rom could run a live disc of Linux but there was no DVD/CD-rom hardware in the Ubuntu or Vista partitions.
>Lenovo suggested going back to the factory defaults which has restored the DVD/CD-rom in Vista.
>How do I maintain the DVD/CD-rom for Ubuntu?

MONK (nathan-corp) wrote :

Same problem with Ubuntu 8.04 on a Zepto 6625WD, however DVD works in Ubuntu but does not work in Windows.

You can't even see the hardware in Windows and it appears to be a Grub issue as there are various reports of it working if you use Lilo instead of Grub. I have been unable to spot an upstream bug on the Grub site but then I may not have been looking hard enough, I would suggest this is a massive issue as we really don't want to break newbies windows installs when they first try Ubuntu!

ababichev (ababichev) wrote :

No changes after moving to Ubuntu 8.10: CD/DVD drive is missing. I wish I knew who's responsible for such kind of faulty hardware: either Lenovo or LG optical drive? Anyway, both manufacturers now in my h/w black list.

Another question: Canonical is going to give some comments on this issue?

giorni (ricardogg) wrote :

I have this issue too with a lenovo 3000 n200 notebook, Brazilian version. Don't remember the laptop number, I'm not on it right now. It occurred with both 8.04 and 8.10 with me. When testing i fixed it installing lilo, and then when booting with it my driver worked, but i really didn't like this fix.

Theis (theis-hansen) wrote :

I have the same problem but only when I am using the grub loader. When I am using the windows boot loader (installed ubuntu once with wubi) the dvd drive works fine. My laptop is a Zepto Znote 6625WD

Einheit (einheit-47) wrote :

Optical drive doesn't work for me either in 8.10 (it didn't work in 7.04 either), or in openSUSE 11.0. It does work when you specify acpi=off, but that is not acceptable. Can't vouch for it working in Windows or not, as it is not installed.

Fungyo (sites07) wrote :

@Einheit,
use Lilo, that should work. You will need the alternative installer CD. From memory, you choose "back" or "go back" when asked to install grub bootloader and then choose "install lilo" from a menu.

If you get a extremely slow loading Lilo, then edit lilo.conf:
sudo nano /etc/lilo.conf
and uncomment:
compact
then run:
sudo lilo

Reboot

MONK (nathan-corp) wrote :

Ok I have a fix..... well it wasn't mine someone called Tim found it.

This works with the Xepto 6625WD and it goes something like this :)

Disable the optical drive in your bios.... oh yes, I didn't expect it to work either. However once I had done this low and behold I had a working DVD in Ubuntu and Windows!

MONK (nathan-corp) wrote :

Sorry, that should be zepto 6625wd not Xepto and it was found on a site talking about a dell laptop.

Seth Forshee (sforshee) on 2011-11-10
affects: ubuntu → grub2 (Ubuntu)
Graham Parker (guaham) wrote :

Will this Bug get assigned for assistance with the grub affecting the DVD going missing on the Lenovo3000-N200? Are there any ideas yet as to why this is occurring?

My previous logged issue was https://bugs.launchpad.net/ubuntu/+source/linux/+bug/856253 noted here now as duplicate.

Thank you.
Kind Regards,
Graham.

Graham Parker (guaham) wrote :

Well, with Windows 8 release drawing closer, it seems this is going to be the best option to getting my DVDROM working. The Lenovo 3000-N200 was released with Vista, and even though all devices worked flawlessly, its a very slow and cumbersome O/S on this Laptop, hence the move to linux, choosing Ubuntu. For the most part Ubuntu works beautifully and the Lenovo performance has actually improved out of site. However, it's useless without the DVDROM as my business relies on this working. It seems a shame to have to de-install Ubuntu, as a lot of effort by devlopers went into getting the wireless working correctly in Ubuntu 11.04 & now 11.10, both oneiric & natty versions, and I put in effort to testing the bug fixes. I guess that's where Linux is a draw back to getting it used more widely, I for one am happy to use Linux, and work with developers to get bugs fixed, but I can't afford to not have the DVDROM not working indefinitely with no solution, and for the vast % of users, Windows just works.

Anyway, that's my 2 cents worth. A shame, coz I love Ubuntu's new look and feel.

Alexei Colin (alexei.colin) wrote :

Same problem on Thinkpad T60 running 3.0.0-14-generic with a non-native but compatible CD drive (took it from a T40, iirc): /dev/sr0 only created with acpi=off boot parameter. There is no BIOS setting to disable the drive (re comment #18). The drive model is in the log (during acpi=off boot only):

kernel: [ 1.043753] scsi 1:0:0:0: CD-ROM HL-DT-ST DVD-ROM GDR8083N 0K03 PQ: 0 ANSI: 5
kernel: [ 1.050088] sr0: scsi3-mmc drive: 10x/24x cd/rw xa/form2 cdda tray
kernel: [ 1.050092] cdrom: Uniform CD-ROM driver Revision: 3.20
kernel: [ 1.050215] sr 1:0:0:0: Attached scsi CD-ROM sr0

The drive used to be detected by Ubuntu fine at some point in the past (I don't remember if this was before or after grub->grub2 update, but I don't think I ever used lilo). Should this bug be marked as a [regression]? Is there any debugging information that can be provided? Should we file an upstream report if it has been positively determined that this is induced by grub?

Graham Parker (guaham) wrote :

Problem with CD-ROM not working on Lenovo 3000 N200 continues with Ubuntu 12.04 LTS release.

CD-ROM works during install but when rebooted after install is complete the CD-ROM no longer works.

Disabling acpi makes the CD-ROM work but this is not a viable work-around as damage and occur with overheating etc.

Any ideas to fix this yet anyone, please.

Phillip Susi (psusi) wrote :

Please attach your /var/log/syslog after booting both with and without the acpi=off parameter.

Changed in grub2 (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for grub2 (Ubuntu) because there has been no activity for 60 days.]

Changed in grub2 (Ubuntu):
status: Incomplete → Expired
gordon39 (gordon3913) wrote :

I got rid of the laptop computer

On 14 July 2013 14:18, Launchpad Bug Tracker <email address hidden>wrote:

> [Expired for grub2 (Ubuntu) because there has been no activity for 60
> days.]
>
> ** Changed in: grub2 (Ubuntu)
> Status: Incomplete => Expired
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/198319
>
> Title:
> Lenovo 3000 N200 DVD-rom missing
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/198319/+subscriptions
>

--
Gordon Loughnan
Phone: 59774892
Email: <email address hidden>

Graham Parker (guaham) wrote :

No I put Windows 8 on it, and it just works.

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of gordon39
Sent: Monday, 15 July 2013 8:51 PM
To: <email address hidden>
Subject: Re: [Bug 198319] Re: Lenovo 3000 N200 DVD-rom missing

I got rid of the laptop computer

On 14 July 2013 14:18, Launchpad Bug Tracker <email address hidden>wrote:

> [Expired for grub2 (Ubuntu) because there has been no activity for 60
> days.]
>
> ** Changed in: grub2 (Ubuntu)
> Status: Incomplete => Expired
>
> --
> You received this bug notification because you are subscribed to the
> bug report.
> https://bugs.launchpad.net/bugs/198319
>
> Title:
> Lenovo 3000 N200 DVD-rom missing
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/198319/+subscript
> ions
>

--
Gordon Loughnan
Phone: 59774892
Email: <email address hidden>

--
You received this bug notification because you are subscribed to the bug report.
https://bugs.launchpad.net/bugs/198319

Title:
  Lenovo 3000 N200 DVD-rom missing

Status in “grub2” package in Ubuntu:
  Expired

Bug description:
  After installing Ubuntu 7.10 on the laptop which had Vista already installed, there was no DVD/CD-rom in either Ubuntu or in Vista. Tried detecting new hardware in Vista but still could not find the DVD/CD-rom.
  The DVD/CD-rom could run a live disc of Linux but there was no DVD/CD-rom hardware in the Ubuntu or Vista partitions.
  Lenovo suggested going back to the factory defaults which has restored the DVD/CD-rom in Vista.
  How do I maintain the DVD/CD-rom for Ubuntu?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/198319/+subscriptions

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers